# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    bin_name = glob.glob("GeoGebra-Windows-Installer-*.msi")[0]

    # Uninstalling installed Geogebra versions
    for soft in installed_softwares("Geogebra"):
        print("Uninstalling %s (%s)" % (soft["name"], soft["version"]))
        run(soft["uninstall_string"] + " /q /norestart")

    # Installing the package
    install_msi_if_needed(
        bin_name,
        min_version=control.get_software_version(),
        properties={"ALLUSERS": "2"},
    )
